Subject: Re: linux-next: build failure after merge of the final tree (akpm tree related)

From: Andrew Morton <[email-masked]>
Date: Wed, 14 Nov 2012 14:18:47 -0800

On Fri, 9 Nov 2012 15:09:57 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the final tree, today's linux-next build (sparc64 defconfig)
> failed like this:
> 
> arch/sparc/kernel/sys_sparc_64.c: In function 'arch_get_unmapped_area':
> arch/sparc/kernel/sys_sparc_64.c:92:16: error: unused variable 'start_addr' [-Werror=unused-variable]
> arch/sparc/kernel/sys_sparc_64.c: In function 'arch_get_unmapped_area_topdown':
> arch/sparc/kernel/sys_sparc_64.c:194:20: error: 'do_colour_align' undeclared (first use in this function)

s/colour/color/

> arch/sparc/kernel/sys_sparc_64.c:194:20: note: each undeclared identifier is reported only once for each function it appears in
> arch/sparc/kernel/sys_sparc_64.c:194:51: error: 'shm_align_mask' undeclared (first use in this function)

This one has me puzzled.  I *think* we should be using

info.align_mask = do_colour_align ? (PAGE_MASK & SHMLBA) : 0;
info.align_offset = (pgoff << PAGE_SHIFT) & (SHMLBA-1);

or similar.   It needs more work.
		
> Caused by commit "mm: use vm_unmapped_area() on sparc64 architecture".  I
> have reverted that commit for today (and the following fix patch).
> 
> arch/sparc/mm/hugetlbpage.c: In function 'hugetlb_get_unmapped_area_topdown':
> arch/sparc/mm/hugetlbpage.c:63:25: error: unused variable 'vma' [-Werror=unused-variable]
> 
> Caused by commit "mm: use vm_unmapped_area() in hugetlbfs on sparc64
> architecture".  I have reverted that commit for today.

I'll drop

mm-use-vm_unmapped_area-on-sparc64-architecture.patch
mm-use-vm_unmapped_area-on-sparc64-architecture-fix.patch
mm-use-vm_unmapped_area-in-hugetlbfs-on-sparc64-architecture.patch